Issue #14424 has been updated by nagachika (Tomoyuki Chikanaga).

Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: DONTNEED to 2.3: REQUIRED, 2.4: DONE, 2.5: DONTNEED

ruby_2_4 r62440 merged revision(s) 59983,59984.

----------------------------------------
Bug #14424: Backport r59984 to ruby_2_4 and ruby_2_3
https://bugs.ruby-lang.org/issues/14424#change-70404

* Author: jrafanie (Joe Rafaniello)
* Status: Closed
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.4.3p205 (2017-12-14 revision 61247) [x86_64-darwin16]
* Backport: 2.3: REQUIRED, 2.4: DONE, 2.5: DONTNEED
----------------------------------------
Please backport r59984, https://bugs.ruby-lang.org/issues/10222.  

There is a memory leak in ruby 2.3 and 2.4 described here: https://bugs.ruby-lang.org/issues/14372

This backport will require backporting other changes to apply this change cleanly.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>